#ifndef FT_LS_H
#define FT_LS_H

#include <dirent.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "libft.h"

#define FLAG_A 1
#define FLAG_T 2
#define FLAG_RMIN 3
#define FLAG_RMAJ 4
#define FLAG_L 5

typedef struct s_list
{
    char            *str;
    struct s_list   *next;
}                   t_list;

void    ft_putillegal(char error);
void    ft_dosillegal(char *error);
int		get_opt(char **v,int c, int *flag,t_list **doc);
int		ft_check_opt(char *str,char *error, int *flag);
int 	ft_check_dos(char *str, t_list **doc, char **error2);
void    ft_inlst(t_list **alst, t_list *new);
t_list 	*ft_lstnew(void const *content);
void 	ft_lstendadd(t_list **alst, t_list *new);
void 	ft_lstadd(t_list **alst, t_list *new);
void	ft_rinlst(t_list **alst, t_list *new);
int		ft_ls(t_list **list);

#endif
