/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memalloc.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/05 19:14:44 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/05 19:14:45 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	*ft_memalloc(size_t size)
{
	char	*dest;
	size_t	i;

	i = 0;
	dest = malloc(sizeof(char) * size);
	if (dest == NULL)
		return (NULL);
	while (i < size)
	{
		dest[i] = 0;
		i++;
	}
	if (dest)
		return ((void*)dest);
	return (NULL);
}
