/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_memchr.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/03 21:07:11 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/03 21:07:14 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	*ft_memchr(const void *s, int c, size_t n)
{
	const	unsigned char	*s2;

	s2 = s;
	while (n--)
	{
		if (*s2 == (unsigned char)c)
			return ((void*)s2);
		s2++;
	}
	return (NULL);
}
