/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strdup.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/03 23:40:58 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/03 23:41:23 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strdup(const char *s)
{
	char	*result;
	int		i;
	char	*str2;

	str2 = (char*)s;
	result = (char *)malloc(ft_strlen(str2) + 1);
	if (result == 0)
		return (0);
	i = 0;
	while (*str2 != 0)
	{
		*result = *str2;
		result++;
		str2++;
		i++;
	}
	*result = '\0';
	while (i > 0)
	{
		result--;
		i--;
	}
	return (result);
}
