/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/24 22:37:36 by vibucho           #+#    #+#             */
/*   Updated: 2014/12/01 15:41:19 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_ls.h"

void static list_show(t_list *list)
{
    while (list != NULL)
    {
        printf("%s ", list->str);
        list = list->next;
    }
    printf("\n");
}

int main (int c, char **v) 
{
	int 	flag;
	t_list 	*doc = NULL;
	flag = 0;
	get_opt(v, c, &flag, &doc);
	  return (0);
	 ft_ls(&doc);
}

int	get_opt(char **v,int c, int *flag,t_list **doc)
{
    char    error;
	char	*error2;
	int i;

	i = 1;
    while(i < c)
    {
        if(v[i][0] == '-')
        {
			if(!ft_check_opt(v[i], &error, flag))
            {
                ft_putillegal(error);
				return (0);
			}
		}
		i++;
    }
	i = 1;
	while(i < c)
	{
		if(v[i][0] != '-')
		{
			if(!ft_check_dos(v[i], doc, &error2))
			{
				ft_dosillegal(error2);
			}
		}
	i++;
	}
	list_show(*doc);
    return (0);
}

int		ft_check_opt(char *str,char *error, int *flag)
{
	int i;
 
	i = 1;

	while(str[i])
	{
		if (str[i] == 'a')
			*flag = *flag | FLAG_A;
		else if (str[i] == 't')
				*flag = *flag | FLAG_T;
		else if (str[i] == 'r')
				*flag = *flag | FLAG_RMIN;
		else if (str[i] == 'R')
				*flag = *flag | FLAG_RMAJ;
		else if (str[i] == 'L')
				*flag = *flag | FLAG_L;
		else 
		{
			*error = str[i];
			return (0);
		}
			i++;
	}
	return (1);
}

int ft_check_dos(char *str, t_list **doc, char **error2)
{
	t_list *new;
 
	new = ft_lstnew(str);
//	printf("%s ", new->str);
	if(new)
		ft_rinlst(doc, new);
	else
		*error2 = str;
	return (1);
}


int	ft_ls(t_list **list)
{
	struct dirent *stringdir;
	DIR *readir;

	while(list != NULL)
	{
		if (readir == NULL)
		{
			ft_putstr("Shit append");
			return (0);
		}
		while ((stringdir = readdir(readir)) != NULL)
		{
			ft_putendl(stringdir->d_name);
		}
		readir = opendir ((*list)->str);
		if (readir == NULL)
		{
			ft_putstr("Shit append");
			return (0);
		}
		while ((stringdir = readdir(readir)) != NULL)
		{
			ft_putendl(stringdir->d_name);
		}
		closedir (readir);
		(*list) = (*list)->next;
	}
	return (0);
}
